Subject: AIList Digest V4 #78

From: vtcs1::in% ([email-masked])
Date: Fri, 11 Apr 86 19:02:01 est

AIList Digest            Friday, 11 Apr 1986       Volume 4 : Issue 78

Today's Topics:
  Bibliography - Technical Reports #2

----------------------------------------------------------------------

Date: WED, 10 JAN 84 17:02:23 CDT
From: [email-masked]
Subject: Technical Reports #2

%A C. V. Srinivasan
%T Knowledge Processing Versus Programming: CK-LOG vs PROLOG
%R DCS-TR-160
%I Rutgers University Laboratory for Computer Science
%K AI10 CK-LOG T02

%A B. A. Nadel
%T The Consistent Labeling Problem, Part 1: Background and Problem Formulation
%R DCS-TR-164
%I Rutgers University Laboratory for Computer Science

%A B. A. Nadel
%T the Consistent Labeling Problem, Part 2: Subproblems, Enumerations
and Constraint Satisfiability
%R DCS-TR-165
%I Rutgers University Laboratory for Computer Science

%A B. Nadel
%T The Consistent Labeling Problem, Part 3:
The Generalized Backtracking Algorithm
%R DCS-TR-166
%I Rutgers University Laboratory for Computer Science

%A B. A. Nadel
%T The Consistent Labeling Problem, Part 4: The Generalized
Forward Checking and Word-Wise Forward Checking Algorithms
%R DCS-Tr-167
%I Rutgers University Laboratory for Computer Science
%K AI03

%A T. M. Mitchell
%A B. M. Keller
%A S. T. Kedar-Cabelli
%T Explanation-Based Generalization: A Unifying View
%R ML-TR-2
%I Rutgers University Laboratory for Computer Science
%K analogy

%A S. T. Kedar-Cabelli
%T Analogy - From a Unified Perspective
%R ML-Tr-3
%I Rutgers University Laboratory for Computer Science

%A R. M. Kellar
%A S. T. Kedar-Cabelli
%T Machine Learning Research at Rutgers University
%R ML-Tr-4
%I Rutgers University Laboratory for Computer Science
%K AI04
%X collection of research summaries in learning from Rutgers University

%A R. Kurki-Suonio
%T Towards Programming with Knowledge Expressions
%I Carnegie Mellon Computer Science
%K H03
%D AUG 1985

%A J. Laird
%A P. Rosenbloom
%A A. Newell
%T Chunking in Soar: The Anatomy of a General Learning Mechanism
%I Carnegie Mellon Computer Science
%D SEP 1985
%K AI04

%A B. D. Lucas
%T Generalized Image Matching by the Method of Differences
%D JUL 1984
%I Carnegie Mellon Computer Science
%K AI06

%A J. B. Saxe
%T Decomposable Searching Problems and Circuit Optimization by Retiming:
Two Studies in General Transformations of Computational Structures
%D AUG 1985
%I Carnegie Mellon Computer Science
%K AA04 AI03

%A E. S. Cohen
%A E. T. Smith
%A L. A. Iverson
%T Constraint-Based Tiled Windows
%D OCT 1985
%I Carnegie Mellon Computer Science
%K AA15

%A A. Hisgen
%T Optimization of User-Defined Abstract Data Types: A Program Transformation
Approach
%D SEP 1985
%I Carnegie Mellon Computer Science
%K AA08

%A A. J. Kfoury
%A Pawl Urzyczyn
%T Necessary and Sufficient Conditoins for the Universality of Programming
Formalisms
%D MAY 1985
%R 85-007
%I Boston University Computer Science Department
%K AA08
%X $4.00

%A Bipin Indurkhya
%T Constrained Semantic Transference: A Formal Theory of Metaphors
%D JUN 1985
%R 85-008
%I Boston University Computer Science Department
%K AI02
%X $3.00

%A Bipin Indurkhya
%T Approximate Semantic Transference: A Computational Theory: A Computational
Theory of Metaphors and Analogies
%D OCT 1985
%R BUCS 85-012
%I Boston University Computer Science Department
%K AI02 AI11
%X $3.00

%A Weiguo Wang
%T Computational Linguistics Technical Notes
%D NOV 1985
%R BUCS 85-013
%I Boston University Computer Science Department
%K AI02
%X $3.00

%A Gerhart
%T A Test Data Generation Method Using Prolog
%R TR-85-02
%I Wang Institute of Graduate Studies
%K AA08

%A Velasco
%T Computer Vison and Image Understanding
%R TR-85-09
%I Wang Institute of Graduate Studies
%K AI06

%A Gerhart
%T Software Engineering Perspectives on Prolog
%R TR-85-13
%I Wang Institute of Graduate Studies
%K T02 O02

%A Gerhart
%T A Detailed Look at Some Prolog Code: A Course Scheudler
%R TR-85-14
%I Wang Institute of Graduate Studies
%K O02 T02

%A Gerhart
%T Several Prolog Packages
%R Tr-85-15
%I Wang Institute of Graduate Studies
%K T02

%A Van Nguyen
%A David Gries
%A Susan Owicki
%R CSL T.R. 85-270
%T A MODEL AND TEMPORAL PROOF SYSTEM FOR NETWORKS OF PROCESSES
%D February 1985
%I Stanford University Computer Systems Laboratories
%K AI11 AA08
%X 12 pages.....$2.40
.br
A model and a sound and complete proof system for networks of
processes in which component processes communicate exclusively through
messages is given.  The model, an extension of the trace model, can
describe both synchronous and asynchronous networks.  The proof system
uses temporal-logic assertions on sequences of observations - a
generalization of traces.  The use of observations (traces) makes the
proof system simple, compositional and modular, since internal details
can be hidden.  The expressive power of temporal logic makes it
possible to prove temporal properties (safety, liveness, precedence,
etc.) in the system.  The proof system is language-independent and
works for both synchronous and asynchronous networks.

%A W. E. Cory
%T Verification of Hardware Design Correctness; Symbolic Execution Techniques
and Criteria for Consistency
%R TR 83-241
%I Stanford University Computer Systems Laboratory
%X 118 pages, $6.15

%A S. Demetrescu
%T High Speed Image Rasterization Using a Higly Parallel Smart
bulk Memory
%R TR 83-244
%I Stanford University Computer Systems Laboratory
%K AI06 H03
%X 38 pages $3.40

%A A. L. Lansky
%A S. S. Owicki
%T GEM: A Tool for Concurrency Specification and Verification
%R TR 83-251
%I Stanford University Computer Systems Laboratory
%K AI11 AA08
%X 16 pages $2.55

%H TR84-018
%A Krzysztof J. Kochut
%T UW LISP Manual
%R LSU Computer Science Technical Report 84-018
%K T01

%H TR84-025
%A E. T. Lee
%T Application of Fuzzy Languages to Medical Pattern Recognition
%R LSU Computer Science Technical Report TR84-025
%K AI06

%H TR84-026
%A E. T. Lee
%T Similarity Directed Chromosome Image Processing
%R LSU Computer Science Technical Report TR84-026
%K AI06

%H TR84-029
%A S. S. Iyengar
%A T. Sadler
%A S. Kundu
%T A Technique for Representing a Tree Structure with Predicates
by a Forest Data Structure
%R LSU Computer Science Technical Report TR84-029
%K AI10

%H TR84-030
%A Rajendra T. Dodhiawala
%A George R. Cross
%T A Distributed Problem-Solving Approach to Point Pattern Matching
%R LSU Computer Science Technical Report TR84-030
%K AI06

%H TR84-034
%A W. G. Rudd
%A George R. Cross
%T Design of an Expert System for Insect Pest Management
%R LSU Computer Science Technical Report TR84-034
%K AA23 AI01

%A George R. Cross
%A Ellen R. Foxman
%A Daniel L. Sherrell
%T Using an Expert System to Teach Marketing Strategy
%R LSU Computer Science Technical Report TR85-001
%K AI01 AA06 AA07

%H TR85-003
%A Cary G. deBessonet
%A George R. Cross
%T An Artificial Intelligence Application in the Law:
CCLIPS, A Computer Program that Processes Legal Information
%R LSU Computer Science Technical Report TR85-003
%K AA24

%H TR85-028
%A Sukhamay Kundu
%T A Theory of Multi-Relations for Uncertain Facts
%R LSU Computer Science Technical Report TR85-028
%K O04

%H TR85-032
%A Rajendra T. Dodhiawala
%A George R. Cross
%T Analysis of Cosmic Ray Tracks Using Distributed Problem-Solving
%R LSU Computer Science Technical Report TR85-032
%K AI06

%H TR85-033
%A George R. Cross
%A Cary G. deBessonet
%A Teri Broemmelsiek
%A Glynn Durham
%A Rittick Gupta
%A Mohd Nasiruddin
%T The Implementation of CCLIPS
%R LSU Computer Science Technical Report TR85-034

%H TR85-034
%A Mohd. Nasiruddin
%A M. Srikanth
%A George R. Cross
%T A Confidence Factor Extension to the YAPS Expert System Development Tool
%R LSU Computer Science Technical Report TR85-034
%K O04 T03 AI01

%H TR85-035
%A Cary G. deBessonet
%A George R. Cross
%T Some AI Techniques Used for Decision Making in Conceptual Retrieval
%R LSU Computer Science Technical Report TR85-035
%K AI13

%H TR85-037
%A Cary G. deBessonet
%A George R. Cross
%T Distinguishing Legal Language-Types for Conceptual Retrieval
%R LSU Computer Science Technical Report TR85-037
%K AA24 AA14 AI02

%H TR85-038
%A Zvieli Arie
%T A Fuzzy Relational Calculus
%R LSU Computer Science Technical Report TR85-038
%K O04

%A Eric Mjolness
%T Neutral Networks, Pattern Recognition and Fingerprint Hallucination
%R 5198:TR:85
%X 8.00  PHD THESIS
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%K AI06 AI12

%A B. H. Thompson
%A Frederick B. Thompson
%T Customizing One's Own Interface Uisng English as a Primary Language
%R 5165:TR:84
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%X $4.00
%K AI02

%A Remy Sanouillet
%T ASK French - A French Natural Language Syntax
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%R 5164:TR:84
%K AI02
%X 13.00 Master's Thesis

%A Michael Newton
%T Combined Logical and Functional Programming Language
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%R 5172:TR;85
%K AI10
%X $6.00

%A Howard Derby
%T Using Logic Programming for Compiling APL
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%R 5134:TR:84
%K AI10
%X $2.00

%A Bozena H. Thompson
%T Linguistic Analysis of Natural Language Communication with Computers
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%R 5128:TM:84
%K AI02
%X $3.00

%A Bozena Thompson
%A Fred Thompson
%T ASK As Window to the World
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%X $3.00
%R 5114:TM:84
%K AI02

%A Alain Martin
%T General Proof Rule for Procedures in Predicate Transformer Semantics
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%R 5075:TR:83
%K AI11 AA08
%X $2.00

%A David Trawick
%T Robust Sentence Analysis and Habitability
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%R 5074:TR:83
%K AI02
%X $10.00

%A Bozena H. Thompson
%A Frederick B. Thompson
%T Introducing ASK, A Simple Knowledge System, Conference on App'l
Natural Language Processing
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%R 5054:TM:82
%K AI02
%X $3.00

%A Bozena Thompson
%A Frederick B. Thompson
%A Tai-Ping Ho
%T Knowledgeable Contexts for User Interfaction, Proc Nat'l Computer
Conference
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%R 5051:TM:82
%K AI02
%X $2.00

%A Barry Megdal
%T VLSI Computational Structures Applied to Fingerprint Image Analysis
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%R 5015:TR:82
%K AI06
%X $15.00

%A Charles R. Lang
%T Concurrent, Asynchronous Garbage Collection Among Cooperating Processors
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%R 4724:TR:82
%K H03
%X $2.00

%A Sheue-Ling Lien
%T Toward A Theorem Proving Architecture
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%R 4653:TR:81
%K AI11
%X $10.00 MS Thesis

%A Leonid Rudin
%T Lambda Logic
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%R 4521:TR:81
%K AI10
%X $8.00 MS THESIS

%A Tzu-mu Lin
%T From Geometry to Logic
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%R 4298:TR:81
%K AI10 AA13
%X $7.00 MS THESIS

%A Jim Kajiya
%T Toward A Mathematical Theory of Perception
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%R 4116:TR:79
%K AI08 AI06
%X $25.00 PHD THESIS

%A Fred Thompson
%A B. Thompson
%T Shifting to a Higher Gear in a Natural Language System
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%R 4128:TM:81
%K AI02
%X $2.00

%A Bozena H. Thompson
%A Frederick Thompson
%T REL System and REL English, REL Report no. 22
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%R 3999:TM:76
%K AI02
%X $3.00

%A B. H. Thompson
%A Fred B. Thompson
%T Rapidly Extendible Natural Language
%I California Institute of Technology, Computer Science
%C Pasadena, California 91125
%R 3975:TM:80
%K AI02
%X $3.00

%A Garrett M. Odell
%A J. T. Bonner
%T How the Dictyostelium Discoideum Grex Crawls
%R 85-1
%I Computer Science Department, Rensselear Polytechnic Institute
%K AI07

%A David L. Spooner
%A Michael A. Milicia
%A Donald B. Faatz
%T Modeling Mechanical CAD Data With Data Abstraction and
Object-Oriented Techniques
%R 85-19
%I Computer Science Department, Rensselear Polytechnic Institute
%K AA05

%A N. Prywes
%A B. Szymanski
%T Programming Supercomputers in an Equational Language
%R 85-24
%I Computer Science Department, Rensselear Polytechnic Institute
%K AI10 H04

%A N. Prywes
%A Y. Shi
%A J. Tseng
%A B. Szymanski
%T Supersystem Programming with the Model Equational Language
%R 85-26
%I Computer Science Department, Rensselear Polytechnic Institute
%K AI10 H04

%A Martin Hardwick
%A Lin Kan
%A Goutam Sinha
%A Subhendu Lahiri
%A Zia Mohammed
%A Nisar Yakoob
%T Design and Implementation of a Data Manager for Design Objects
%R 85-34
%I Computer Science Department, Rensselear Polytechnic Institute
%K AA05

%A D. Nagel
%T Some Considerations on Extracting Definitional Information About
Relations
%R CBM-TM-85
%D APR 1980
%I Rutgers University, Department of Computer Science
%K AI02 AA09 AI04
%X Several of the current systems in Artificial Intelligence are
represented in binary relational databases and rely on the semantics
of relations as a source of knowledge for information retrieval.
Examples of these systems include those developed by Lindsay [5,6],
Raphael [10], Elliott [2], Brown [1], and Sridharan [11].  In these
systems inferences can be made from a set of properties specified for
each relation.  Inferences can also be made from specified
associations between relations.  One interesting aspect is the degree
to which making these inferences can be automated.  Some methods are
proposed in this paper for using machine learning to extract
relational properties and recognize semantic ties between relations so
that this definitional information will not have to be prespecified.
In some cases these methods may not technically be categorized as
learning because they primarily involve summarization.  It is also
difficult to pin down what is encompassed by semantics.  However, this
paper discusses concepts of learning, and the presentation is directed
at capturing semantics.
.sp 1
Extracting definitional information or more broadly, learning
semantics of relations, provides a base for the study of interesting
databases.  This could be done in a symbiotic system where the
interaction between the researcher and the system provides a means for
improving the performance of the system in general and
obtaining new insights in the scientific data.  It could also be
coupled with a system for automatic theory formation.  Presently,
applications using semantics of relations for making inferences have
been most successful in areas where properties and relationships are
well understood such as kinship relations.

------------------------------

End of AIList Digest
********************